
Foreman - Feature #13973

Add Support to get Host YAML output from CLI and API.

03/01/2016 07:53 AM - Jitendra Yejare

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: External Nodes   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1313354 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1313354

Description of problem:

Add support to get the Host YAML output from CLI and API.

Currently we can see YAML output of Host only from UI.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

YAML output of host is only accessible from UI.

Expected results:

YAML output should be accessible from API as well CLI.

Additional info:

Related issues:

Related to Foreman - Feature #3220: API for "rendered" view of host parameter... New 10/08/2013

Is duplicate of Foreman - Feature #15926: Add a new endpoint to get ENC value... Closed 08/01/2016

History

#1 - 03/01/2016 07:58 AM - Dominic Cleal

- Related to Feature #3220: API for "rendered" view of host parameters, taking into account inheritance added

#2 - 03/01/2016 07:58 AM - Dominic Cleal

- Category set to External Nodes

#3 - 08/08/2016 06:22 AM - Dominic Cleal

- Is duplicate of Feature #15926: Add a new endpoint to get ENC values of a host added

#4 - 08/08/2016 06:22 AM - Dominic Cleal

- Status changed from New to Duplicate

An API is added under ticket #15926.
